I cloud capability

I have a very old MacBook since before 2009, I successfully upgraded my Software system to Snow Leopard but since recently purchasing an iPad I would like to use the iCloud. Will upgrading to OS X Lion enable me to use the iCloud. I cannot upgrade to a later software system as my computer is too retro and won't allow it. Sad Face.

Back To Product

Follow this Question

1 Answer from the Community

  • Answer

    for iCloud, one needs X. 7.2 minimum plus min. spare 2GB.

    Was this useful? Answer 1

    3 of 4 people found this useful

Related Questions